
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "logicbomb/version"

Gem::Specification.new do |spec|
  spec.name          = "logicbomb"
  spec.version       = LogicBomb::VERSION
  spec.authors       = ["AnthonyHewins"]
  spec.email         = ["aahewins@protonmail.com"]

  spec.summary       = %q{Continuously check if the internet is up or not.}
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end

  spec.executables   = `git ls-files -- bin/*`.split("\n").map {|f| File.basename(f)}
  spec.require_paths = ["lib"]

  spec.add_dependency "viewpoint"
  spec.add_dependency "thor"

  spec.add_development_dependency "bundler"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "rspec"
end
